#include <iostream>
#include <limits.h>

using namespace std;

int main()
{
    int n, m;
    scanf("%d %d", &n, &m);
    int a[n][m];
    for (int i=0; i<n; i++)
        for (int j=0; j<m; j++)
            scanf("%d", &a[i][j]);
    unsigned long long minS = 2*LONG_MAX, s, minI;

    int pref[2][m];
    for (int i=0; i<2; i++) {
        pref[i][0] = a[i][0];
        for (int j=1; j<m; j++) {
            pref[i][j] = pref[i][j-1] + a[i][j];
        }
    }



    for (int i=0; i<m; i++) {
        // [0, i) sa desne
        // (i, n-1] sa leve
        s = 0;
        /*for (int j=0; j<i; j++) {
                s += a[1][j];
                //printf("+=%d ", a[1][j]);
        }*/
        if (i > 0) s+=pref[1][i-1];
        /*for (int j=i+1; j<m; j++) {
            //printf("+=%d ", a[0][j]);
                s += a[0][j];
        }*/
        s+=pref[0][m-1] - pref[0][i];

       // printf("For i=%d, 1=%d, 2=%d (m=%d)\n ", i, pref[1][i-1], pref[0][m-1]-pref[0][i], m);
        //printf("\n");
        if (s < minS) { minS = s; minI = i; }
    }
    printf("%d",minS);
    return 0;
}

/*
2 5
1 5 4 2 3
7 3 0 8 1
*/